# All In One Cart For WooCommerce

**Contributors:** jthemesstudio, spiderwares  
**Tags:** floating cart, popup cart, fullscreen cart, side cart, woocommerce cart
**Requires at least:** 5.2  
**Requires PHP:** 7.4  
**Tested up to:** 6.7 
**Stable tag:** 1.1.4
**License:** GPL-2.0+  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.txt  

A plugin that enhances the WooCommerce shopping experience by displaying a fullscreen cart overlay along with a quick add-to-cart interface.

## Description

All In One Cart For WooCommerce is designed to improve the shopping experience by introducing an intuitive, fullscreen cart overlay. Shoppers can quickly view and manage their cart items without leaving the page. Additionally, the plugin offers a quick add-to-cart feature for a seamless shopping journey.

## Presentation  

[**Premium**](https://codecanyon.net/item/full-screen-interactive-cart-for-woocommerce/56536285) |  [**Demo**](https://wpplugins.jthemes.net/) |   [**Documentation**](https://plugins.jthemes.net/docs/fullscreen-cart-for-woocommerce/)

## Watch a Quick Tutorial
<iframe width="800" height="375" src="https://www.youtube.com/embed/336IH2w8waI" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## 🚀 Key Features  

##### 🏆 **User-Friendly & Lightweight**  
- Designed for **simplicity and speed**, ensuring smooth performance without unnecessary bloat.  

##### 🎨 **Customizable Cart Button**  
- Modify the **cart icon, style, and placement** to seamlessly match your site's design.  

##### ⚡ **Instant Cart Updates**  
- **Ajax-powered cart refresh** for real-time item additions or removals—no page reload required.  

##### 📂 **Category-Specific Product Display**  
- Showcase products from **selected categories** for a tailored shopping experience.  

##### 🎟 **Coupon Code Support**  
- Apply or remove **discount codes** directly in the cart with **real-time feedback messages**.  

##### 🖌 **Advanced Styling Options**  
- Full control over cart and product list **styles, typography, and colors** to align with your brand.  

##### 🛍 **Seamless Product Compatibility**  
- Works flawlessly with **variable and grouped products**, ensuring flexibility in product selection.  

##### 📊 **Detailed Cart Breakdown**  
- Clear, structured display of **subtotal, discounts, fees, shipping charges, and total cost**.  

##### 🏗 **Elementor Widget Integration**  
- Includes a **Fullscreen Cart for WooCommerce** widget for **Elementor**, enhancing the shopping experience.  

##### 📱 **Fully Responsive Design**  
- Optimized for **desktop, tablet, and mobile**, ensuring a smooth experience across all devices.  

##### 🔗 **Quick Access Links**  
- Direct shortcuts to **cart and checkout pages** for easy navigation.  

##### ⚙️ **Custom Features & Flexibility**  
- **Enable/disable** cart and checkout buttons as needed.  
- **Template overwrite support** for enhanced customization.  
- **Custom CSS** options for personalized styling.  

##### 🔢 **Cart Product Counter**  
- Display a **real-time item count** in the cart to keep track of products effortlessly.  

##### 🔄 **Ajax-Powered Cart Management**  
- Add or remove products dynamically with **instant updates**.  
- **Supports variable product selections** directly from the cart.  

##### 📖 **Comprehensive Documentation & Support**  
- Regular updates & maintenance for long-term reliability.  
- **Easy-to-follow documentation** for a hassle-free setup.  
- **Friendly & responsive support team** ready to assist when needed.  

##### 🏆 **High-Quality Code Standards**  
- Built following **PHPCS/WPCS coding standards**, ensuring **security, efficiency, and best practices**.  


## 🚀 Premium Features  

Unlock advanced functionality with the premium version of the plugin!  

##### 🛍 **Advanced Product Selection**  
- **Exclude Products**: Choose specific products to exclude from the cart.  
- **Include Products**: Limit the cart to selected products only.  
- **Product Type Support**: Extend compatibility to **variable, grouped, downloadable, and virtual products** (by default, only simple products are supported).  
- **Sale & Regular Products**: Apply special conditions based on product pricing and sale status.  

##### 🚚 **Enhanced Checkout & Shipping Options**  
- **Shipping Cost Calculation**: Enable an **automatic shipping cost calculator** within the cart.  
- **One-Page Checkout**: Streamline the checkout process by keeping everything on a **single page** for a faster shopping experience.  
- **Change Address Button**: Customize the **button text and style** for better UI/UX.  
- **Place Order Button Customization**: Modify the **text and styling** to match your theme and branding.  

💡 **Upgrade to Premium Today!** Unlock these powerful features and enhance the shopping experience on your WooCommerce store!  


## Installation

1. Upload the plugin files to the `/wp-content/plugins/fullscreen-cart-for-woocommerce` directory, or install the plugin through the WordPress plugins screen directly.
2. Activate the plugin through the 'Plugins' screen in WordPress.
3. Navigate to **WooCommerce > Settings > Fullscreen Cart** to configure the plugin settings.

## Frequently Asked Questions

### Q: Is this plugin compatible with all WordPress themes?  
A: Yes, the plugin is designed to work seamlessly with any WooCommerce-compatible theme.

### Q: Does the plugin slow down my website?  
A: No, the plugin is lightweight and optimized for performance.

### Q: Can I customize the appearance of the fullscreen cart?  
A: Yes, you can customize the cart overlay to match your website's branding through the settings panel or custom CSS.

## Screenshots

1. **Fullscreen Cart Popup:** Preview of the fullscreen cart popup as displayed on the frontend.
2. **Cart Settings:** Screenshot of the plugin settings page where you can configure cart-related Settings.
3. **Products Settings:** Screenshot of the plugin settings page where you can configure product-related options.
4. **Shopping Cart Settings:** Screenshot of the plugin settings page where you can configure shopping cart-related options.
5. **Style Settings:** Screenshot of the plugin settings page where you can configure style-related options.


## Changelog

### 1.1.0
- Add floating cart feature.

### 1.0.3
- Update qunatity issue Fixed.

### 1.0.0
- Initial release.
- Fullscreen cart overlay feature.
- Quick add-to-cart functionality.

## License

This plugin is licensed under the GNU General Public License v2.0 or later. For more details, visit [GPL-2.0+ License URI](http://www.gnu.org/licenses/gpl-2.0.txt).
